Bug 592279 - Crash while configuring RAID1 partitions using kickstart
Crash while configuring RAID1 partitions using kickstart
Status: CLOSED DUPLICATE of bug 589967
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity high
: rc
: 6.0
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 08:34 EDT by Rich Johnson
Modified: 2010-05-20 19:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-14 09:51:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Johnson 2010-05-14 08:34:07 EDT
Description of problem:
- Crash while configuring RAID1 partitions using kickstart.
- Same effect as  bug 574255; but a different exception
- regression from 6.0-snapshot2

Version-Release number of selected component (if applicable):
6.0-snapshot3

How reproducible:
RAID1 Partition map created using a %pre script
RAID1 Partition map and the same as posted with bug 574255

  
Actual results:
Anaconda raises the exception:
11:56:11,761 CRITICAL: anaconda 13.21.36 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.6/posixpath.py", line 111, in basename
     i = p.rfind('/') +1
  File "/usr/lib/anaconda/storage/devicetree.py", line 1360, in handleUdevDiskLabelFormat
    bypath=os.path.basename(deviceNameToDiskByPath(device,name))
  File "/usr/lib/anaconda/storage/devicetree.py", line 1715, in handleUdevDeviceFormat
    self.handleUdevDiskLabelFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1299, in addUdevDevice
    self.handleUdevDeviceForamt(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1965, in populate
    self.addUdevDevice(dev)
  File "/usr/lib/anaconda/storage/__init__.py", line 379 in reset
    self.devicetree.populate()
  File "/usr/lib/anaconda/storage/__init__.py", line 103 in storageIntitialize
    storage.reset()
  File "/usr/bin/anaconda", line 1089 in <module>
    storage.storageInitialize(anaconda)
AttributeError: 'NoneType' object has no attribute 'rfind'

Expected results:
  Formatted disk.

Additional info:
Comment 2 Chris Lumens 2010-05-14 09:51:42 EDT

*** This bug has been marked as a duplicate of bug 589967 ***
Comment 3 Andrius Benokraitis 2010-05-19 23:18:30 EDT
Please test Snapshot 4.
Comment 4 Rich Johnson 2010-05-20 19:29:03 EDT
Ssnapshot 4 has resolved this issue.

Note You need to log in before you can comment on or make changes to this bug.